package com.ygtx.system.service;

import java.util.List;
import com.ygtx.system.domain.SysPostHomePage;

/**
 * 首页配置Service接口
 * 
 * @author ruoyi
 */
public interface ISysPostHomePageService
{
    /**
     * 查询首页配置信息集合
     * 
     * @param sysPostHomePage 首页配置信息
     * @return 首页配置信息集合
     */
    public List<SysPostHomePage> selectSysPostHomePageList(SysPostHomePage sysPostHomePage);

    /**
     * 通过ID查询首页配置信息
     * 
     * @param id 配置ID
     * @return 首页配置信息
     */
    public SysPostHomePage selectSysPostHomePageById(Long id);

    /**
     * 新增保存首页配置信息
     * 
     * @param sysPostHomePage 首页配置信息
     * @return 结果
     */
    public int insertSysPostHomePage(SysPostHomePage sysPostHomePage);

    /**
     * 修改保存首页配置信息
     * 
     * @param sysPostHomePage 首页配置信息
     * @return 结果
     */
    public int updateSysPostHomePage(SysPostHomePage sysPostHomePage);

    /**
     * 删除首页配置信息
     * 
     * @param id 配置ID
     * @return 结果
     */
    public int deleteSysPostHomePageById(Long id);

    /**
     * 批量删除首页配置信息
     * 
     * @param ids 需要删除的配置ID数组
     * @return 结果
     */
    public int deleteSysPostHomePageByIds(Long[] ids);
}